Cloudera Labs
Provide feedback on Cloudera Labs

Phoenix 4.7 build against CDH 5.4

Phoenix 4.7 build against CDH 5.4

Rising Star

Has anyone tried to build Apache Phoenix 4.7 RC1 against CDH 5.4.x? We need this version because it has bug fix for the Spark plugin when Spark is configured for Hive.

 

https://issues.apache.org/jira/browse/PHOENIX-2503

 

I tried to follow the instructions here, but I keep getting build errors even after updating the pom and java files.

 

http://stackoverflow.com/questions/31849454/using-phoenix-with-cloudera-hbase-installed-from-repo

 

Any help would be appreciated.

 

Thanks,

Ben